SDL_GetSensorData(3)

NAME
SDL_GetSensorData - Get the current state of an opened sensor.

HEADER FILE
Defined in SDL3/SDL_sensor.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetSensorData(SDL_Sensor *sensor, float *data, int num_values);

DESCRIPTION
The number of values and interpretation of the data is sensor dependent.

FUNCTION PARAMETERS

sensor
    The SDL_Sensor
     object to query

data
    A pointer filled with the current sensor state

num_values
    The number of values to write to data

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.